@import '_content/ReactorBlazorQRCodeScanner/ReactorBlazorQRCodeScanner.bundle.scp.css';
@import '_content/TECO.WorkMan.UI.Common/TECO.WorkMan.UI.Common.bundle.scp.css';
@import '_content/TECO.WorkMan.UI.Web.AssetManagement/TECO.WorkMan.UI.Web.AssetManagement.bundle.scp.css';

/* /Components/TaskBrowse.razor.rz.scp.css */

@media (max-width: 799px) {
    .actionCard[b-zrervaa1mi] {
        display: inline-block;
        width: 10rem;
        margin-right: .5rem;
    }

    .actionCardText[b-zrervaa1mi] {
        font-size: 1rem;
        text-align: center;
    }

    .actionCardNumber[b-zrervaa1mi] {
        display: inline-block;
        width: 100%;
        text-align: center;
        font-size: 2rem;
    }

    .actionCardIcon[b-zrervaa1mi] {
        display: none;
        width: 49%;
        text-align: center;
        font-size: 2rem;
    }
}

@media (min-width: 400px) {
    .actionCard[b-zrervaa1mi] {
        display: inline-block;
        width: 20rem;
        margin-right: 1rem;
    }

    .actionCardText[b-zrervaa1mi] {
        font-size: 1rem;
        text-align: left;
    }

    .actionCardNumber[b-zrervaa1mi] {
        display: inline-block;
        width: 49%;
        text-align: left;
        font-size: 2rem;
    }

    .actionCardIcon[b-zrervaa1mi] {
        display: inline-block;
        width: 49%;
        text-align: center;
        font-size: 2rem;
    }

    .filterPanel[b-zrervaa1mi] {
        margin-bottom: 1rem;
    }

    .filter[b-zrervaa1mi] {
        position: relative;
        flex-flow: wrap;
        flex-direction: row;
        display: flex;
    }

        .filter > *[b-zrervaa1mi] {
            flex: 1 1 100%;
            padding: 0.25rem;
        }

    .filterHeader[b-zrervaa1mi] {
        color: var(--bs-card-cap-color);
        background-color: var(--bs-card-cap-bg);
        border: var(--bs-card-border-width) solid var(--bs-card-border-color);
        border-radius: 5px;
        padding: 3px;
        margin-bottom: 1rem;
    }

    .filterBody[b-zrervaa1mi] {
        padding-left: 2rem;
    }

    .filterItem[b-zrervaa1mi] {
        display: flex;
        flex: 1 1 100%;
        justify-content: space-around;
        margin-bottom: 0.5rem;
        padding-bottom: 0.5rem;
        border-bottom: solid 1px var(--bs-card-border-color);
    }

    .filterItemActions[b-zrervaa1mi] {
        width: 5%;
    }

        .filterItemActions .bi[b-zrervaa1mi] {
            padding: 1px;
        }

    .filterLabel[b-zrervaa1mi] {
        width: 15%;
    }

    .filterValue[b-zrervaa1mi] {
        width: 80%;
    }

    .filterFooter[b-zrervaa1mi] {
        display: flex;
        flex-wrap: wrap;
        width: 100%;
    }

    .filterFooterActionsLeft[b-zrervaa1mi] {
        display: inline-flex;
        width: 50%;
        justify-content: left;
    }

    .filterFooterActionsRight[b-zrervaa1mi] {
        display: inline-flex;
        width: 50%;
        justify-content: right;
    }

    .rz-dialog-wrapper:has(.hide-modal-overlay) .rz-dialog-mask[b-zrervaa1mi] {
        background-color: transparent !important;
    }
}
/* /Components/UpdateAvailableDetector.razor.rz.scp.css */
.floating-update-button[b-8gdjyo7dzp] {
    font-size: 2rem;
    position: fixed;
    right: 2rem;
    bottom: 4rem;
    padding: 1rem 1.5rem;
    animation: fadein-b-8gdjyo7dzp 2s ease-out;
}

@keyframes fadein-b-8gdjyo7dzp {
    from {
        right: -100%;
    }

    to {
        right: 2rem;
    }
}
